import * as core from "@terrascript/core";

export interface DsOutpostInstanceTypesArgs {
  arn: string | core.StringOut;
}

export class DsOutpostInstanceTypes extends core.Data<DsOutpostInstanceTypesArgs> {
  @core.attr(String)
  public arn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String, { computed: true, kind: "array" })
  public instanceTypes!: core.Array<string> | core.ArrayOut<core.StringOut>;

  constructor(name: string, args?: DsOutpostInstanceTypesArgs) {
    super(name, "aws_outposts_outpost_instance_types", args);
  }

  public override getNamespace(): string {
    return "aws_outposts";
  }
}
